@import url("https://fonts.googleapis.com/css2?family=Montserrat");

:root {
  --maroon: rgb(117, 7, 2);
  --light-maroon: rgb(175, 14, 4);
  --gold: rgb(197, 179, 88);
  --flag-red: rgb(179, 25, 66);
  --flag-blue: rgb(10, 49, 97);
  --alt-blue: rgba(15, 76, 151, 0.8);
  --divider: rgba(0, 0, 0, 0.5);
}

* {
  box-sizing: border-box;
  font-family: Montserrat, Arial, sans-serif;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--alt-blue);
  overflow-x: hidden;
}

header {
  align-items: center;
  background-color: var(--maroon);
  color: white;
  display: flex;
  height: 5rem;
  justify-content: space-between;
  position: relative;
  z-index: 2;
}

header h3 {
  height: 100%;
  margin-left: 1rem;
  max-width: 70%;
}

header h3 a {
  align-items: center;
  display: flex;
  background-color: var(--maroon);
  color: white;
  height: 100%;
  text-decoration: none;
}

header #menu {
  align-items: center;
  border: 2px solid white;
  border-radius: 5px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  height: 3rem;
  justify-content: space-around;
  position: absolute;
  right: 1rem;
  width: 3rem;
}

.menu-line {
  background-color: white;
  border-radius: 2px;
  height: 5px;
  width: 80%;
}

header ul {
  background-color: var(--light-maroon);
  border-bottom: 2px solid black;
  border-bottom-left-radius: 5%;
  border-bottom-right-radius: 5%;
  list-style-type: none;
  position: absolute;
  left: 0;
  top: 5rem;
  transform: scaleY(0);
  transform-origin: top;
  width: 100%;
  z-index: 10;
}

header ul li {
  border-bottom: 1px solid var(--divider);
  height: 4rem;
  text-align: center;
  transition: background-color 150ms ease-in-out;
  width: 100%;
  position: relative;
}

header ul li:hover {
  background-color: var(--maroon);
}

header ul li a {
  align-items: center;
  color: white;
  display: flex;
  height: 100%;
  justify-content: center;
  margin: auto;
  text-decoration: none;
}

.menu-display {
  transform: scaleY(1);
  transition: 250ms ease;
}

#x {
  font-weight: bold;
  font-size: 2rem;
}

.display-none {
  display: none;
}

main {
  background-color: white;
  box-shadow: 0px 0px 10px black;
  color: black;
  margin: 0 auto;
  padding: 0.5rem;
  max-width: 900px;
  width: 100%;
  min-height: calc(100vh - 10rem);
  position: relative;
  z-index: 1;
}

main h1 {
  font-size: 2rem;
  margin: 1rem auto;
  text-align: center;
}

.main-img {
  display: block;
  margin: 1rem auto;
  max-width: 800px;
  width: 100%;
}

article {
  border-top: 2px solid var(--divider);
  margin: 0 auto;
  max-width: 800px;
  padding: 2rem;
  text-align: center;
  width: 100%;
  position: relative;
}

article h2 {
  color: var(--alt-blue);
  margin: 0 auto 1rem;
}

article h3 {
  color: var(--flag-red);
  text-align: center;
}

article h4 {
  color: var(--flag-red);
}

article h4,
article ul,
article ol {
  text-align: left;
}

article ul ul {
  margin-left: 1rem;
}

article a {
  color: var(--maroon);
  cursor: pointer;
  font-weight: bold;
  text-decoration: none;
  transition: color 100ms ease-in-out;
}

article a:hover {
  color: var(--gold);
  text-decoration: underline;
}

article img {
  max-width: 400px;
  width: 75%;
}

section {
  margin: 1rem auto 0;
}

section p {
  margin: 0 auto;
  max-width: 600px;
}

footer {
  align-items: center;
  background-color: var(--maroon);
  color: white;
  display: flex;
  font-weight: bold;
  height: 5rem;
  justify-content: center;
  padding: 0 1rem;
  text-align: center;
  width: 100%;
  position: relative;
  z-index: 2;
}

.special-thanks h4 {
  text-align: left;
}

#route-map {
  border: 0;
  max-width: 500px;
  width: 100%;
}

.small-border-top {
  border-top: 2px solid rgba(0, 0, 0, 0.15);
  padding-top: 1rem;
}

/* ############# */
/* GRAND MARSHAL */
/* ############# */

#flex-container img {
  margin-bottom: 2rem;
}

@media screen and (min-width: 1024px) {
  body {
    overflow-x: auto;
  }

  header h3 {
    background-color: var(--maroon);
    font-size: 1.5rem;
    max-width: 40%;
  }

  header #menu {
    display: none;
  }

  header nav {
    height: 100%;
    max-width: 65%;
    width: 660px;
  }

  header ul {
    align-items: center;
    background-color: var(--maroon);
    border: 0;
    border-radius: 0;
    display: flex;
    flex-direction: row;
    height: 100%;
    justify-content: space-around;
    transform: none;
    left: 0;
    position: relative;
    top: 0;
    width: 100%;
  }

  header ul li {
    border: 0;
    height: 100%;
    width: 100%;
  }

  header ul li:hover {
    background-color: var(--light-maroon);
  }

  header ul li a {
    font-size: 0.9rem;
  }

  main {
    min-height: calc(100vh - 10rem);
  }

  main h1 {
    font-size: 2.75rem;
    max-width: 800px;
  }

  .special-thanks {
    display: flex;
  }

  .special-thanks section {
    width: 50%;
  }

  #committee-list {
    font-size: 1.5rem;
    max-width: 500px;
    margin: 0 auto;
  }

  #flex-container {
    display: flex;
  }

  #flex-container img {
    margin-bottom: 0;
  }

  #flex-container div {
    width: 50%;
  }

  .updates {
    margin: 0 auto;
    max-width: 600px;
  }
}

/* LARGE SCREENS */

@media only screen and (min-width: 1500px) {
  header {
    padding-left: 10%;
    padding-right: 10%;
  }

  main {
    max-width: 1200px;
  }

  article {
    max-width: 1000px;
  }

  #flex-container {
    align-items: center;
  }
}
